### Method

# Aravis GvDevice set_packet_size_adjustment

since: 0.8.3

#### Declaration [src]

    void
    arv_gv_device_set_packet_size_adjustment (
      ArvGvDevice* gv_device,
      ArvGvPacketSizeAdjustment adjustment
    )

#### Description [src]

Sets the option for the packet size adjustment happening at stream object creation. See `arv_gv_device_auto_packet_size()` for a description of the packet adjustment feature. The default behaviour is `ARV_GV_PACKET_SIZE_ADJUSTEMENT_ON_FAILURE_ONCE`, which means the packet size is adjusted if the current packet size check fails, and only the first time `arv_device_create_stream()` is successfully called during `gv_device` instance life.

Available since: 0.8.3

Sets property | `Aravis.GvDevice:packet-size-adjustment`

#### Parameters

`adjustment`

  Type: `ArvGvPacketSizeAdjustment`

  A `ArvGvPacketSizeAdjustment` option.